#include <bits/stdc++.h>
using namespace std;
bool snt(long int a)
{  long int i;

   if (a<2)
   {
       return false;
   }
   if (a>=2)
   {
       for (i=2;i*i<=a;i++)
        {if (a%i==0)
       {return false;
        break;}}}
 return true;
}

int main()
{
 ifstream f1("DEMNT.INP");
 ofstream f2("DEMNT.OUT");
   long int n,i,j,dem=0;
   f1>>n;
   long int a[n+1];

for (i=1;i<=n;i++)
   {
       f1>>a[i];
   }
   for (i=1;i<=n;i++)
  {
      {if (snt(a[i])==true)
      {
          dem++;

      }
     }
  }
  f2<<dem;
   return 0;
}
